org.keycloak.login

## Interface LoginFormsProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    FreeMarkerLoginFormsProvider

      public interface LoginFormsProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createCode()`
    `javax.ws.rs.core.Response` | `createErrorPage()`
    `javax.ws.rs.core.Response` | `createLogin()`
    `javax.ws.rs.core.Response` | `createLoginTotp()`
    `javax.ws.rs.core.Response` | `createOAuthGrant()`
    `javax.ws.rs.core.Response` | `createPasswordReset()`
    `javax.ws.rs.core.Response` | `createRegistration()`
    `javax.ws.rs.core.Response` | `createResponse(UserModel.RequiredAction action)`
    `LoginFormsProvider` | `setAccessCode(String accessCodeId, String accessCode)`
    `LoginFormsProvider` | `setAccessRequest(List<RoleModel> realmRolesRequested, javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested)`
    `LoginFormsProvider` | `setClient(ClientModel client)`
    `LoginFormsProvider` | `setError(String message)`
    `LoginFormsProvider` | `setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `LoginFormsProvider` | `setQueryParams(javax.ws.rs.core.MultivaluedMap<String,String> queryParams)`
    `LoginFormsProvider` | `setRealm(RealmModel realm)`
    `LoginFormsProvider` | `setStatus(javax.ws.rs.core.Response.Status status)`
    `LoginFormsProvider` | `setSuccess(String message)`
    `LoginFormsProvider` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`
    `LoginFormsProvider` | `setUser(UserModel user)`
    `LoginFormsProvider` | `setWarning(String message)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### setRealm

          LoginFormsProvider setRealm(RealmModel realm)

    - #### setUriInfo

          LoginFormsProvider setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

    - #### createResponse

          javax.ws.rs.core.Response createResponse(UserModel.RequiredAction action)

    - #### createLogin

          javax.ws.rs.core.Response createLogin()

    - #### createPasswordReset

          javax.ws.rs.core.Response createPasswordReset()

    - #### createLoginTotp

          javax.ws.rs.core.Response createLoginTotp()

    - #### createRegistration

          javax.ws.rs.core.Response createRegistration()

    - #### createErrorPage

          javax.ws.rs.core.Response createErrorPage()

    - #### createOAuthGrant

          javax.ws.rs.core.Response createOAuthGrant()

    - #### createCode

          javax.ws.rs.core.Response createCode()

    - #### setAccessCode

          LoginFormsProvider setAccessCode(String accessCodeId,
                                         String accessCode)

    - #### setAccessRequest

          LoginFormsProvider setAccessRequest(List<RoleModel> realmRolesRequested,
                                            javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested)

    - #### setError

          LoginFormsProvider setError(String message)

    - #### setSuccess

          LoginFormsProvider setSuccess(String message)

    - #### setWarning

          LoginFormsProvider setWarning(String message)

    - #### setUser

          LoginFormsProvider setUser(UserModel user)

    - #### setClient

          LoginFormsProvider setClient(ClientModel client)

    - #### setQueryParams

          LoginFormsProvider setQueryParams(javax.ws.rs.core.MultivaluedMap<String,String> queryParams)

    - #### setFormData

          LoginFormsProvider setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### setStatus

          LoginFormsProvider setStatus(javax.ws.rs.core.Response.Status status)

Copyright © 2014. All Rights Reserved.